Subject: I made a flame graph renderer for git's trace2 output

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Fri, 10 May 2019 17:09:58 +0200

Here's a flamegraph of where git's test suite spends its time on my box:
https://vm.nix.is/~avar/noindex/git-tests.svg

I hacked up a script for this today to plot trace2 production data, as
noted there it's at:
https://github.com/avar/FlameGraph/tree/stackcollapse-git-tr2-event

What are flamegraphs? See http://www.brendangregg.com/flamegraphs.html

As noted in TODOs in the script there's various stuff I'd like to do
better, and this also shows how we need a lot more trace regions to get
granular data.

But it's already quite cool, and I'll keep improving it. I'll submit a
PR to Brendan's parent repo once I'm happy enough with it, I figure it
makes more sense there than in git.git, but maybe we'd eventually want
to teach the test suite to optionally use something like this.